using System;
using System.Text;
using System.Data;
using System.Messaging.Design;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace VisualWebPartProject1.VisualWebPart1
{
    [ToolboxItemAttribute(false)]
    public class VisualWebPart1 : WebPart
    {
        // Der Pfad wird unter Umstnden automatisch aktualisiert, wenn das Visual WebPart-Projektelement gendert wird.
        
        private const string _ascxPath = @"~/_CONTROLTEMPLATES/VisualWebPartProject1/VisualWebPart1/VisualWebPart1UserControl.ascx";
        private DataGrid grid;
        private static string verbText = "Auswahl: nur Manager";
        protected string xmlFilePath = "C:";
		// Erstinitialisierung
        [Personalizable(PersonalizationScope.Shared), WebBrowsable(true),
        WebDisplayName("File Ordner, in dem sich die Daten befinden"),
        WebDescription("Ordner od. Netzpfad angeben, wo sich die XML.Datei befindet.")]
        
        public string DataFilePath
        {
            get
            {
                return xmlFilePath;
            }
            set
            {
                xmlFilePath = value;
            }
        }

        protected override void CreateChildControls()
        {
            // Define the grid control that displays employee data in the Web Part.
    grid = new DataGrid();
    grid.Width = Unit.Percentage(100);
    grid.GridLines = GridLines.Horizontal;
    grid.HeaderStyle.CssClass = "ms-vh2";
    grid.CellPadding = 2;
    grid.CellSpacing = 2;
    grid.BorderWidth = Unit.Pixel(2);
    grid.HeaderStyle.Font.Bold = true;
    grid.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;

    // Populate the grid control with data in the employee data file.
    try
    {
        DataSet dataset = new DataSet();
        dataset.ReadXml(xmlFilePath, XmlReadMode.InferSchema);
        grid.DataSource = dataset;
        grid.DataBind();
    }
    catch (Exception x)
    {
        //errorMessage.Text += x.Message;
           
    }

    // Add control to the controls collection of the Web Part.
    Controls.Add(grid);
    //Controls.Add(errorMessage);
    base.CreateChildControls();

        }

        public override WebPartVerbCollection Verbs
        {
            get
            {
                WebPartVerb customVerb = new WebPartVerb("Manager_Filter_Verb",
                    new WebPartEventHandler(CustomVerbEventHandler));

                customVerb.Text = verbText;
                customVerb.Text = verbText;
                customVerb.Description = "Es werden nur die Manager angezeigt.";

                WebPartVerb[] newVerbs = new WebPartVerb[] { customVerb };

                return new WebPartVerbCollection(base.Verbs, newVerbs);
            }
        }

        protected void CustomVerbEventHandler(object sender, WebPartEventArgs args)
        {
            int titleColumn = 2;

            foreach (DataGridItem item in grid.Items)
            {
                if (item.Cells[titleColumn].Text != "Manager")
                {
                    if (item.Visible == true)
                    {
                        item.Visible = false;
                    }
                    else
                    {
                        
                   
                        item.Visible = true;
                         
                        
                       // item.Visible = true;
                    }
                }

               




            }
            if (verbText == "Auswahl: nur Manager")
            {
                verbText = "alle Beschftigten anzeigen";
            }
            else
            {
                verbText = "Auswahl: nur Manager";
            }
        }


    }
}
